Name:          python-gevent
Version:       20.5.2
Release:       1mamba
Summary:       Coroutine-based network library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gevent.org/
Source:        https://pypi.debian.net/gevent/gevent-%{version}.tar.gz
Patch0:        python-gevent-1.0.1-python-2.7.6.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel
BuildRequires: libpython27-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%prep
%setup -q -n gevent-%{version}
#-D -T
#:<< _EOF
#%patch0 -p1

%build
#:<< _EOF
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist
sed -i "/_socket3.py/d" %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%{python_sitearch}/gevent/_socket3.py*
%doc AUTHORS LICENSE

%changelog
* Fri May 29 2020 Automatic Build System <autodist@mambasoft.it> 20.5.2-1mamba
- automatic version update by autodist

* Wed May 27 2020 Automatic Build System <autodist@mambasoft.it> 20.5.1-1mamba
- automatic version update by autodist

* Wed May 20 2020 Automatic Build System <autodist@mambasoft.it> 20.5.0-1mamba
- automatic version update by autodist

* Sun Jan 13 2019 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Fri Oct 19 2018 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic version update by autodist

* Sat Aug 18 2018 Automatic Build System <autodist@mambasoft.it> 1.3.6-1mamba
- automatic version update by autodist

* Mon Aug 06 2018 Automatic Build System <autodist@mambasoft.it> 1.3.5-1mamba
- automatic version update by autodist

* Wed Jun 20 2018 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Sat Jun 09 2018 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Thu Jun 07 2018 Automatic Build System <autodist@mambasoft.it> 1.3.2.post0-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Tue Dec 27 2016 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Fri Jul 22 2016 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Fri May 20 2016 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-2mamba
- upstream patch to fix bug with python 2.7.6

* Wed May 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- package created by silvan using the webbuild interface
